#
# spec file for package ghc-store-core
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name store-core
Name:           ghc-%{pkg_name}
Version:        0.4.4.2
Release:        bp153.1.19
Summary:        Fast and lightweight binary serialization
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-fail-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel

%description
Fast and lightweight binary serialization.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md

%changelog
* Fri Nov  8 2019 Peter Simons <psimons@suse.com>
- Drop obsolete group attributes.
* Thu Oct 24 2019 psimons@suse.com
- Update store-core to version 0.4.4.2.
  [#]# 0.4.4.2
  * Build fixed for GHC-7.10. See
    [#146](https://github.com/fpco/store/issues/146)
* Fri Oct 18 2019 psimons@suse.com
- Update store-core to version 0.4.4.1.
  [#]# 0.4.4.1
  * Now builds with GHC-8.8.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update store-core to version 0.4.4.
  [#]# 0.4.4
  * Build fixed with  `--flag store-core:force-alignment` / on architectures
    like PowerPC.
  [#]# 0.4.3
  * Now builds with primitive >= 0.6.4.0
  [#]# 0.4.2
  * Adds `unsafeMakePokeState`, `unsafeMakePeekState`, and
    `maybeAlignmentBufferSize`, so that library users can write their own
    `encode` / `decode` functions.
    See [#126](https://github.com/fpco/store/pull/126)
* Sun Jun 17 2018 ptrommler@icloud.com
- Add fix-force-aligment.patch
  * fixes build on ppc64
  * see upstream issue https://github.com/fpco/store/issues/133
* Wed May 16 2018 psimons@suse.com
- Prefer the new %%license attribute over %%doc.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Jul 26 2017 psimons@suse.com
- Update to version 0.4.1.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 0.4 with cabal2obs.
* Thu Feb 16 2017 psimons@suse.com
- Update to version 0.3 with cabal2obs.
